Query station details

Specific station details can be useful when you want to display the type of chargers, the number of chargers, the location or any other detail that is currently available.

Query station details

Show all the information of a single charge station from availability to operator details.

Query station details

Query

To get specific details of a station you need to provide a stationId. This id can be obtained by using the tile service.

Pricing

To render pricing when using the Eco-Movement station database, you can use pricing to fetch a list of prices on the connector level. The pricing field is available on evse.connectors. The pricing list includes CPO and MSP prices. The "adhoc price" is the CPO price.

When using any other station database, use the tariff query and tariff details query.

Arguments

id • ID

ID of a station.

evse_id • String

ID of a EVSE.

Selectable fields - Frequently requested

id • ID

Unique ID of a station.

name • String

Name of a charging station.

address • String

Street/block name and house number if available.

coordinates • OCPIGeoLocation

Coordinates of a location.

evses • EVSE

EVSEs that belong to a station.

operator • Operator

Information about an operator.

amenities • JSON

Amenities located at this location.

Selectable fields

country_code • String

ISO-3166 alpha-2 country code of a station.

party_id • String

CPO ID of a CPO that 'owns' this station (following the ISO-15118 standard).

publish • Boolean

Defines if a location may be published on a website or app etc. When this is set to false, only tokens identified in the field: publish_allowed_to are allowed to show this location. When the same location has EVSEs that may be published and may not be published, two 'locations' should be created.

city • String

City or town

postal_code • String

Postal code of a location, may only be omitted when a location has no postal code: in some countries charging locations at highways don’t have postal codes.

state • String

State or province of a location, only to be used when relevant.

country • String

ISO 3166-1 alpha-3 code for the country of this station.

parking_type • OCPIParkingType

Type of parking at a charge point location.

Show OCPIParkingType enum values

directions • OCPIDisplayText

Human-readable directions on how to reach a station.

suboperator • Operator

Information about a suboperator if applicable.

owner • Operator

Information about an owner if available.

facilities • OCPIFacility

Facilities a charging station belongs to.

Show OCPIFacility enum values

time_zone • String

Value from the IANA time zone database representing the time zone of a location. Examples: "Europe/Oslo", "Europe/Zurich". (http://www.iana.org/time-zones).

opening_times • OCPIHours

Times when an EVSEs at a location can be accessed for charging.

charging_when_closed • Boolean

Indicates if the EVSEs are still charging outside the opening hours. E.g. when a parking garage closes its barriers overnight, is it allowed to charge till the next morning? Default: true.

images • OCPIImage

Links to images related to a location such as photos or logos.

energy_mix • OCPIEnergyMix

Details of the energy supplied at a location.

last_updated • DateTime

Timestamp when a location, or one of its EVSEs or Connectors were last updated (or created).

external_id • String

ID provided by a station data source.

location • Point

GeoJSON location of a charging station.

elevation • Int

Elevation (altitude) level.

chargers • Charger

Groups of EVSEs by power and type.

physical_address • Address

Enriched information about the physical address of a station.

heavy_vehicles_properties • StationHeavyVehiclesProperties

Describes the heavy vehicle properties at the location.

heavy_vehicles_restrictions • StationHeavyVehiclesRestrictions

Describes the heavy vehicle restrictions at the location.

vehicle_restrictions • StationVehicleRestrictions

Describes the vehicle restrictions at the location.

location_category • String

Type of location where the charge point is located. For example, shop.

entrance_for_navigation • OCPIAdditionalGeoLocation

Coordinates for the location's entrances in decimal degrees. If available, there can be more than one entrances to the location.

properties • JSON

Deprecated

Optional object where you can store custom data you need in your application. This extends the current functionalities we offer.

realtime • Boolean

A flag that indicates if a station has real-time information about the availability of its connectors.

power • JSON

Connectors grouped by power.

predicted_occupancy • StationPredictedOccupancy

Predicted station occupancy.

speed • StationSpeedType

Charging speed for a station.

Show StationSpeedType enum values

status • ChargerStatus

Global status for a station.

Show ChargerStatus enum values

custom_properties • StationCustomProperties

Custom properties of a station. These are vendor specific and will return null values on the fields that are not supported by your station database.

review • ReviewStats

Review of a station.

roaming • StationRoaming

List of eMSP cards accepted at a charging station.

support_phone_number • String

Phone number for assistance at a charging station.

charging_behaviour • ChargingBehaviour

Charging behavior of a station.

reliability_score • Int

Shows how reliable a charging station is (1 to 5; 1 = unreliable, 5 = reliable), taking into account the charging behaviour history and error values.

adhoc_authorisation_payment_method • StationAdhocAuthorisationPaymentMethod

Indicates the authentication and payment methods.

Show StationAdhocAuthorisationPaymentMethod enum values

access_type • AccessType

Type of access to the charging station.

Show AccessType enum values

boosting_group_ids • ID

[ALPHA] List of active boosting groups to which the station belongs.

Response

A response can either contain a data or an errors object. The response header will always return 200 as a status code.

Data object

When successful, a data object will be returned with the requested fields. If there are no fields present the data object will return the operation name with the appropriate return type. If the operation was a query, this output will be an object of the schema’s query root type; if the operation was a mutation, this output will be an object of the schema’s mutation root type.

Error object

If unsuccessful, an errors object will be returned with more details in the extensions object. The error object can contain any of the following objects.